v1.0.0
OpenAPI 3.1.0
Get an automation
Client Libraries
US region
Returns metadata for an individual automation.
The ID of the automation that you want to trigger or return information about.
The campaignID or actionID is invalid.
The automation and/or action do not exist.
curl https://api.customer.io/v1/campaigns/3 \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"campaign": {
"id": 5,
"deduplicate_id": "15:1492548073",
"name": "string",
"description": "Sends a welcome series to new trial signups.",
"created": 1552341937,
"updated": 1552341937,
"active": true,
"state": "running",
"actions": [
{
"type": "email",
"id": 259
}
],
"first_started": 1552341937,
"tags": [
"new",
"welcome"
],
"trigger_segment_ids": [
90
],
"filter_segment_ids": [
21,
42
]
}
}Returns metadata for the automation.